<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 2.3//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="pichecker" displayName="PIChecker" timelimit="15 min" hardtimelimit="16 min" memlimit="15 GB" cpuCores="4">

  <require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" />

  <resultfiles>**/witness.*</resultfiles>

  <option name="-svcomp23-pichecker" />
  <option name="-heap" />
  <option name="14000M" />
  <option name="-stack" />
  <option name="2048k" />
  <option name="-benchmark" />
  <option name="-timelimit" />
  <option name="900 s" />

  <rundefinition name="SV-COMP25_unreach-call">
    <tasks name="ConcurrencySafety-Main">
      <includesfile>../sv-benchmarks/c/Concurrency.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>

    </rundefinition>

  <rundefinition name="SV-COMP25_no-data-race">
    <tasks name="NoDataRace-Main">
      <includesfile>../sv-benchmarks/c/Concurrency.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/no-data-race.prp</propertyfile>
    </tasks>
  </rundefinition>

  <rundefinition name="SV-COMP25_valid-memsafety">
    <tasks name="ConcurrencySafety-MemSafety">
      <includesfile>../sv-benchmarks/c/Concurrency.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
  </rundefinition>

  <rundefinition name="SV-COMP25_no-overflow">
    <tasks name="ConcurrencySafety-NoOverflows">
      <includesfile>../sv-benchmarks/c/Concurrency.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/no-overflow.prp</propertyfile>
    </tasks>
  </rundefinition>

  </benchmark>